package koboldsim

import "git.chromaticdragon.app/kistaro/CardSimEngine/cardsim"

func InitPlayer() *Player {
	p := cardsim.InitPlayer(NewKoboldMine())
	p.Name = RandomKoboldName()
	initDeck(p.Deck)
	initRules(p.Rules)
	p.HandLimit = 3
	p.InfoPanels = []InfoPanel{
		&cardsim.BasicStatsPanel[*KoboldMine]{
			Name:  cardsim.MsgStr("All Stats"),
			Intro: cardsim.MsgStr("All available statistics."),
		},
	}
	p.Prompt = &cardsim.BasicStatsPanel[*KoboldMine]{
		Name:  cardsim.MsgStr("The Kobold Mine"),
		Intro: cardsim.MsgStr("We await your command, Overlord."),
		Filter: cardsim.VisibleOrDebugStatsNamed[*KoboldMine](
			"Kobolds",
			"Total Sector Productivity",
			"Total Government Productivity",
		),
	}
	p.State = cardsim.GameActive
	p.DebugLevel = 5
	return p
}

func initRules(*cardsim.RuleCollection[*KoboldMine]) {
	// TODO: move to rules.go, add rules
}
